<?php
/*------------------------------------------------------------------------	
# mod_gCalendarFeed - Joomla 4 v2.1.7	
# ------------------------------------------------------------------------	
# author    J4U	
# copyright Copyright (C) 2014-2022 J4U. All Rights Reserved.	
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL	
# Websites: http://www.joomla.edhathaway.com	
#------------------------------------------------------------------------*/	
// No direct access
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$path			= $params->get('path');
?>

<!-- BEGIN

END-->

<?php if ($calendarStyle == "3") : ?>
<!--<meta charset='utf-8' />-->
<link href='<?php echo $modbase ?>css/fullcalendar.print.min.css' rel='stylesheet' media='print' />
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$('#calendar-<?php echo $moduleID ?>').fullCalendar({
            
            
            
            views: {
                month: {
                    eventLimit: <?php echo $params->get('eventLimit') ?> // 0=All events
                }
            },
                
                
                
			header: {
				left: '<?php echo $params->get('prevnextButtons') ?>today',
				center: 'title',
                right: '<?php echo $params->get('agendaWeek') ?><?php echo $params->get('agendaDay') ?><?php echo $params->get('listWeek') ?>month'
			},
            defaultView: '<?php echo $params->get('fullCalendarView') ?>',
            locale: '<?php echo $params->get('fullCalendarLanguage') ?>',
                timeFormat: '<?php echo $params->get('timeFormat') ?>:mm<?php echo $params->get('fullamPm') ?>',
                timezone: '<?php echo $params->get('gmtOffset') ?>',    
            weekNumbers: <?php echo $params->get('weekNumbers') ?>,
			editable: false,
			eventLimit: true, // allow link when too many events,
			height: 'auto',
			eventClick: function(event) {
     		   if (event.url) {
          		  return false;
        			}
    			},
                    eventRender: function (event, element) {
                    //var start = "\n" + moment(event.start).format("YYYY-MM-DD HH:mm") + "\n";
                    var start = moment(event.start).format("h:mma");
                    var end = moment(event.end).format("h:mma");
            
                    //var start = moment(event.start).format("HH:mm tt");
                    //var end = moment(event.end).format("HH:mm tt");
            
                    var description = event.description;
                    var location = event.location;
                    $(element).tooltip({
                        container: 'body',
                        html: true,
                        title: "Title: " + event.title + "<br/>" + start + " - " + end + "<br/>" + " Description: " + description + "<br/>" + " Location: " + location
                    });

                },

            googleCalendarApiKey: '<?php echo $params->get('gcalAPI') ?>',
            events: '<?php echo $params->get('gcalID') ?>',
                    
                eventClick: function(event) {
                    // opens events in a popup window
                    window.open(event.url, 'gcalevent', 'width=<?php echo $params->get('popupWidth') ?>,height=<?php echo $params->get('popupHeight') ?> target="_self"');
                    return false;
                    
                }
            
		});

	});
</script>
<style type="text/css">
    #calendar {max-width: 100%; margin-bottom: 10px;}
    .fc-event {background-color: <?php echo $params->get('fullCalendarEventsBackground') ?>; color: <?php echo $params->get('fullCalendarFontColor') ?>; border: 1px solid <?php echo $params->get('fullCalendarEventsBorder') ?>;}
    a.fc-more:hover {color: <?php echo $params->get('fullCalendarLinkHoverColor') ?>;}
    a.fc-more {color: <?php echo $params->get('fullCalendarLinkColor') ?>;}
    .fc button, .fc table, body .fc {background: <?php echo $params->get('fullCalendarBackgroundColor') ?>;}
    .fc-unthemed td.fc-today {background: <?php echo $params->get('fullCalendarTodayBackgroundColor') ?>;}
    .fc .fc-row {color: <?php echo $params->get('fullCalendarDaysTextColor') ?>;}
    .fc-center {color: <?php echo $params->get('fullCalendarHeaderTextColor') ?>;}
    .tooltip.in {opacity: 1.0 !important}
    .tooltip-inner {background: <?php echo $params->get('tooltipBackground') ?> !important; color: <?php echo $params->get('tooltipColor') ?> !important;}
    .tooltip-arrow {border-top-color: <?php echo $params->get('tooltipBackground') ?> !important;}
</style>
  <div id='calendar-<?php echo $moduleID ?>'></div>
<?php endif ; ?>